import React from "react";
import { Spin } from "antd";
import HtmlTitle from "./components/HtmlTitle";
// import Main from './Main';
import withLogin from "./withLogin";

const Spinner = () => (
  <div
    style={{
      width: "100%",
      height: "100%",
      display: "grid",
      placeItems: "center",
    }}
  >
    <Spin />
  </div>
);

export default (props) => {
  const RequireLogin = React.lazy(() => {
    return withLogin(import("./Main"));
  });

  return (
    <>
      <HtmlTitle />
      <React.Suspense fallback={<Spinner />}>
        <RequireLogin />
      </React.Suspense>
    </>
  );
};
