import { useState, useRef } from "react";
import { defaultRoutes, authRoutes, mergeAuthRoutes } from "@/routes/routes";
import { getMenuItems } from "@/routes/menus";
// import { getAuthedRoutes } from "@/routes/permissions";
import { currentUser } from "@/services/login";

export default function useUser() {
  const [user, setUser] = useState({});
  const menusRef = useRef();
  const routesRef = useRef();

  const getCurrentUser = async () => 
  new Promise((resolve, reject) => {
    currentUser()
      .then((res) => {
        setUser(res);
        menusRef.current = getMenuItems(authRoutes);
        routesRef.current = mergeAuthRoutes(defaultRoutes);
        // console.log('menusRef.current', menusRef.current)
        resolve(res);
      })
      .catch(reject);
  });

  return {
    user,
    setUser,
    getCurrentUser,
    menus: menusRef.current || [],
    routes: routesRef.current || [],
  };
}
